## python-jsondiff 2.1.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/jsondiff.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/jsondiff.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/jsondiff"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/jsondiff"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-jsondiff 1.1.1

=== debian/changelog ===
python-jsondiff (1.1.1-4) unstable; urgency=medium

  * Team upload.
  * Manage /usr/bin/jsondiff with update-alternatives to avoid clash with
    python3-jsonpatch (Closes: #940616).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2019 14:55:29 +0200

python-jsondiff (1.1.1-3) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support.
  * Use debhelper-compat instead of debian/compat.

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Aug 2019 11:30:34 +0200

python-jsondiff (1.1.1-2) unstable; urgency=medium

  * Testsuite: autopkgtest-pkg-python
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Mon, 16 Apr 2018 15:06:07 +0200

python-jsondiff (1.1.1-1) unstable; urgency=low

  * Initial release. (Closes: #888012)

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jan 2018 11:22:12 +0100

=== debian/control ===
Source: python-jsondiff
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-nose-random
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/science-team/python-jsondiff
Vcs-Git: https://salsa.debian.org/science-team/python-jsondiff.git
Homepage: https://github.com/ZoomerAnalytics/jsondiff/

Package: python3-jsondiff
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: diff JSON and JSON-like structures in Python 3
 Python 3 module providing diff JSON and JSON-like structures.
 .
 This package provides the Python 3 version of the module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=jsondiff

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/python3-jsondiff/usr/bin/jsondiff $(CURDIR)/debian/python3-jsondiff/usr/bin/jsondiff-jsondiff

=== debian/watch ===
version=4
https://github.com/ZoomerAnalytics/jsondiff/releases .*/archive/v@ANY_VERSION@@ARCHIVE_EXT@

## python-jsondiff 1.3.1

=== debian/changelog ===
python-jsondiff (1.3.1-2) unstable; urgency=medium

  * Add Conflicts: cbmc (Closes: #1004463).

 -- Thomas Goirand <zigo@debian.org>  Sun, 06 Feb 2022 18:28:22 +0100

python-jsondiff (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix update-alternatives handling.
  * Ran wrap-and-sort -bastk.
  * Add myself to d/copyright.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Jan 2022 09:45:22 +0100

=== debian/control ===
Source: python-jsondiff
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 python3-all,
 python3-nose-random,
 python3-setuptools,
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/science-team/python-jsondiff
Vcs-Git: https://salsa.debian.org/science-team/python-jsondiff.git
Homepage: https://github.com/ZoomerAnalytics/jsondiff/

Package: python3-jsondiff
Architecture: all
Conflicts:
 cbmc,
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: diff JSON and JSON-like structures in Python 3
 Python 3 module providing diff JSON and JSON-like structures.
 .
 This package provides the Python 3 version of the module.

## python-jsondiff 2.0.0

=== debian/changelog ===
python-jsondiff (2.0.0-2) unstable; urgency=medium

  * Removed the Conflicts: cbmc.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Jan 2023 00:53:53 +0100

python-jsondiff (2.0.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix watch file
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  TODO: ERROR: test_explicit_syntax (tests.JsonDiffTests.test_explicit_syntax)

  [ Thomas Goirand ]
  * Team upload.
  * Rename /usr/bin/jdiff as /usr/bin/jsondiff-jdiff (Closes: #1004463).

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Jan 2023 08:51:33 +0100

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,19 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-nose-random,
  python3-setuptools,
-Standards-Version: 4.1.4
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/python-jsondiff
 Vcs-Git: https://salsa.debian.org/science-team/python-jsondiff.git
 Homepage: https://github.com/ZoomerAnalytics/jsondiff/
+Rules-Requires-Root: no
 
 Package: python3-jsondiff
 Architecture: all
-Conflicts:
- cbmc,
 Depends:
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=jsondiff

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/python3-jsondiff/usr/bin/jdiff $(CURDIR)/debian/python3-jsondiff/usr/bin/jsondiff-jdiff

## python-jsondiff 2.1.1

=== debian/changelog ===
python-jsondiff (2.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Replace python3-nose(-random) by python3-pytest
  * Add new build-dependencies:
    + python3-hypothesis
    + python3-setuptools-scm
    + python3-yaml

  [ Robin Gustafsson ]
  * Add manpage for jsondiff-jdiff (Closes: #1036462)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Jun 2024 14:57:56 +0200

## python-jsondiff 2.1.2

=== debian/changelog ===
python-jsondiff (2.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Alexandre Detiste <tchet@debian.org>  Tue, 16 Jul 2024 19:44:13 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,14 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
- python3-nose-random,
+ python3-hypothesis,
+ python3-pytest,
  python3-setuptools,
-Standards-Version: 4.6.1
+ python3-setuptools-scm,
+ python3-yaml,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-jsondiff
 Vcs-Git: https://salsa.debian.org/science-team/python-jsondiff.git
 Homepage: https://github.com/ZoomerAnalytics/jsondiff/
@@ -24,5 +27,3 @@
  ${python3:Depends},
 Description: diff JSON and JSON-like structures in Python 3
  Python 3 module providing diff JSON and JSON-like structures.
- .
- This package provides the Python 3 version of the module.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,12 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/pkg-info.mk
+
 export PYBUILD_NAME=jsondiff
+export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/ZoomerAnalytics/jsondiff/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
